# Created by pyp2rpm-1.0.1

%if 0%{?fedora}
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif


%global pypi_name WSME
%global lpypi_name wsme

Name:           python-%{lpypi_name}
Version:        0.8.0
Release:        1%{?dist}
Summary:        Web Services Made Easy

License:        MIT
URL:            https://pypi.python.org/pypi/WSME
Source0:        http://pypi.python.org/packages/source/W/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Web Services Made Easy, simplifies the implementation of
multiple protocol REST web services by providing simple yet
powerful typing which removes the need to directly
manipulate the request and the response objects.

%package -n python2-%{lpypi_name}
Summary:        Web Services Made Easy
%{?python_provide:%python_provide python2-%{lpypi_name}}
# python_provide does not exist in CentOS7 buildroot
Provides:       python-%{lpypi_name} = %{version}-%{release}
Obsoletes:      python-%{lpypi_name} < 0.7.0-2

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
BuildRequires:  python-six
BuildRequires:  python-webob
BuildRequires:  python-netaddr
BuildRequires:  pytz
BuildRequires:  python-simplegeneric

Requires:       python-simplegeneric
Requires:       python-six
Requires:       python-webob
Requires:       python-netaddr
Requires:       pytz
%if 0%{?rhel} == 6
Requires:       python-ordereddict
%endif

%description -n python2-%{lpypi_name}
Web Services Made Easy, simplifies the implementation of
multiple protocol REST web services by providing simple yet
powerful typing which removes the need to directly
manipulate the request and the response objects.

%if 0%{?with_python3}
%package -n python3-%{lpypi_name}
Summary:        Web Services Made Easy
%{?python_provide:%python_provide python3-%{lpypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-six
BuildRequires:  python3-webob
BuildRequires:  python3-pytz
BuildRequires:  python3-simplegeneric
BuildRequires:  python3-netaddr

Requires:       python3-simplegeneric
Requires:       python3-six
Requires:       python3-webob
Requires:       python3-netaddr
Requires:       python3-pytz

%description -n python3-%{lpypi_name}
Web Services Made Easy, simplifies the implementation of
multiple protocol REST web services by providing simple yet
powerful typing which removes the need to directly
manipulate the request and the response objects.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python2-%{lpypi_name}
%doc README.rst examples/
%license LICENSE
%{python2_sitelib}/wsme
%{python2_sitelib}/wsmeext
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/*.pth

%if 0%{?with_python3}
%files -n python3-%{lpypi_name}
%doc README.rst examples/
%license LICENSE
%{python3_sitelib}/wsme
%{python3_sitelib}/wsmeext
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*.pth
%endif

%changelog
* Thu Feb 25 2016 Alan Pevec <alan.pevec@redhat.com> 0.8.0-1
- Update to 0.8.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Sep 03 2015 Javier Peña <jpena@redhat.com> - 0.7.0-2
- Updated spec to create python2 and python3 packages
- Update dependencies
- Add check section

* Mon Jul 27 2015 Pádraig Brady <pbrady@redhat.com> - 0.7.0-1
- Latest upstream

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Pádraig Brady <pbrady@redhat.com> - 0.6-2
- Add missing dependency on python-ipaddr and python-ordereddict

* Mon Mar 10 2014 Pádraig Brady <pbrady@redhat.com> - 0.6-1
- Latest upstream

* Mon Dec 16 2013 Pádraig Brady <pbrady@redhat.com> - 0.5b5-1
- Latest upstream

* Thu Oct 10 2013 Dan Prince <dprince@redhat.com> - 0.5b5-2
- Don't remove egg.info required by pbr

* Thu Oct 10 2013 Pádraig Brady <pbrady@redhat.com> - 0.5b5-1
- Latest upstream

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Padraig Brady <P@draigBrady.com> - 0.5b2-1
- Update to 0.5b2.
- Add required dependencies.

* Wed Mar 13 2013 Padraig Brady <P@draigBrady.com> - 0.5b1-1
- Initial package.
